<a id="__mydatakeeper__" href="http://local.debug.mydatakeeper.fr/">
    <svg viewBox="0 0 100 100">
        <g>
            <g>
                <polygon fill="#FFFFFF" points="0,50 50,0 100,50 50,100"/>
            </g>
            <g>
                <polygon fill="#25AEE4" points="0,50 35,15 35,50"/>
            </g>
            <g>
                <polygon fill="#73C35C" points="0,50 35,85 35,50"/>
            </g>
            <g>
                <polygon fill="#E75153" points="50,0 65.2,15.2 46,34.4 46,4"/>
            </g>
            <g>
                <polygon fill="#FDC35C" points="50,100 65.2,84.8 46,65.6 46,96"/>
            </g>
            <g>
                <polygon fill="#FA9426" points="46,50 73,77 100,50 73,23"/>
            </g>
        </g>
    </svg>
    <style>
    #__mydatakeeper__ {
        position: fixed;
        top: 0;
        left: 0;
        text-align: center;

        width: 40px;
        height: 40px;
        border-radius: 0 0 35px 0;
        background-color: ghostwhite;
        box-shadow: 1px 1px 3px #888888;

        transition: width .2s, height .2s, border-radius .2s, background-color .2s;
        -webkit-transition: width .2s, height .2s, border-radius .2s, background-color .2s;
        -moz-transition: width .2s, height .2s, border-radius .2s, background-color .2s;
        -ms-transition: width .2s, height .2s, border-radius .2s, background-color .2s;
    }

    #__mydatakeeper__:hover {
        width: 50px;
        height: 50px;
        border-radius: 0 0 45px 0;
        background-color: lightgrey;
    }

    #__mydatakeeper__.hidden {
        width: 0px;
        height: 0px;
    }

    #__mydatakeeper__.clicked, #__mydatakeeper__.clicked:hover {
        width: 100%;
        height: 100%;
        border-radius: 0;
        padding: 3rem!important;
        background-color: white;
    }

    #__mydatakeeper__ > svg {
        max-width: 100%;
        max-height: 100%;
        margin: 5px 10px 10px 5px;
    }

    #__mydatakeeper__.clicked > svg {
        width: 100px;
        height: 100px;
        margin: 0;
    }
    </style>
    <script type="text/javascript">
        var macaron = document.getElementById('__mydatakeeper__');
        macaron.hidingTimeout = null;
        macaron.onmouseover = function() {
            if (this.hidingTimeout !== null) {
                window.clearTimeout(this.hidingTimeout);
                this.hidingTimeout = null;
            }
            this.classList.remove('hidden');
        }
        macaron.onmouseout = function() {
            if (this.hidingTimeout === null) {
                this.hidingTimeout = window.setTimeout(function() {
                    macaron.classList.add('hidden');
                }, 5000);
            }
        }
        macaron.onclick = function() {
            if (this.hidingTimeout !== null) {
                window.clearTimeout(this.hidingTimeout);
                this.hidingTimeout = null;
            }
            this.onmouseover = null;
            this.onmouseout = null;
            this.classList.remove('hidden');
            this.classList.add('clicked');
            window.setTimeout(function() {
                window.location = macaron.href;
            }, 500);

            return false;
        }
        macaron.onmouseout();
    </script>
</a>